﻿CREATE SCHEMA `abcd` DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci ;


CREATE  TABLE `abcd`.`A` (
  `idA` INT NOT NULL ,
  `col1` VARCHAR(45) NULL ,
  `col2` VARCHAR(45) NULL ,
  PRIMARY KEY (`idA`) );


CREATE  TABLE `abcd`.`B` (
  `idB` INT NOT NULL ,
  `idA` INT NOT NULL ,
  `colB` VARCHAR(45) NULL ,
  PRIMARY KEY (`idB`) );


ALTER TABLE `abcd`.`b` 
  ADD CONSTRAINT `fk_B_A`
  FOREIGN KEY (`idA` )
  REFERENCES `abcd`.`a` (`idA` )
  ON DELETE NO ACTION
  ON UPDATE NO ACTION
, ADD INDEX `fk_B_A` (`idA` ASC) ;

CREATE  TABLE `abcd`.`A2` (
  `idA` INT NOT NULL ,
  `col3` VARCHAR(45) NULL ,
  PRIMARY KEY (`idA`) );


ALTER TABLE `abcd`.`a2` 
  ADD CONSTRAINT `fk_A2_A1`
  FOREIGN KEY (`idA` )
  REFERENCES `abcd`.`a` (`idA` )
  ON DELETE CASCADE
  ON UPDATE CASCADE
, ADD INDEX `fk_A2_A1` (`idA` ASC) ;


INSERT INTO abcd.a VALUES (1, 'aaaa', '111111');
INSERT INTO abcd.a2 VALUES (1, 'a3');
INSERT INTO abcd.b VALUES (1, 1, 'bbbb');
INSERT INTO abcd.a VALUES (2, 'aaaa', '22222');

